/*
 * Copyright (C) 2009, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: dpsta.h 274630 2011-07-30 17:58:48Z rnuti $
 */

#ifndef _DPSTA_H_
#define _DPSTA_H_

typedef struct psta_if psta_if_t;

/* Proxy STA instance data and exported functions */
typedef struct psta_if_api {
	void	*psta;
	void	*bsscfg;
	bool	(*is_ds_sta)(void *psta, struct ether_addr *ea);
	void	*(*psta_find)(void *psta, uint8 *ea);
	bool	(*bss_auth)(void *bsscfg);
} psta_if_api_t;

extern psta_if_t *dpsta_register(uint32 unit, psta_if_api_t *inst);
extern int32 dpsta_recv(void *p);

#endif /* _DPSTA_H_ */
